fedora 8 gcc 4.1.2 nvcc compilation error Its driving me mad!

Hi all,

I’ve tried to compile my .cu file on our fedora 8 box that has gcc 4.1.2 and nvcc 2.0 on it and I get the following error…

In file included from /usr/lib/gcc/x86_64-redhat-linux/4.1.2/…/…/…/…/include
/c++/4.1.2/backward/complex.h:31,
from graphene-seperate.cu:56:
/usr/lib/gcc/x86_64-redhat-linux/4.1.2/…/…/…/…/include/c++/4.1.2/backward/ba
ckward_warning.h:32:2: warning: #warning This file includes at least one depreca
ted or antiquated header. Please consider using one of the 32 headers found in s
ection 17.4.1.2 of the C++ standard. Examples include substituting the heade
r for the <X.h> header for C++ includes, or instead of the deprecated
header <iostream.h>. To disable this warning use -Wno-deprecated.
/usr/lib/gcc/x86_64-redhat-linux/4.1.2/…/…/…/…/include/c++/4.1.2/bits/locale
_classes.h(410): error: support for exception handling is disabled

/usr/lib/gcc/x86_64-redhat-linux/4.1.2/…/…/…/…/include/c++/4.1.2/bits/locale
_classes.h(515): error: support for exception handling is disabled

I’ve got a feeling that its caused by cuComplex.h andd complex.h not playing nicely together.

Has anybody else seen this or has a solution???
It’s driving me crazy :wacko:

The code compiles and runs on a fedora 9 box with no problems <img src=‘http://hqnveipbwb20/public/style_emoticons/<#EMO_DIR#>/crying.gif’ class=‘bbc_emoticon’ alt=’:’(’ />

Thanks,

Wes.